Code-Quickie: Aktuellste Java 8-Version auf Raspberry Pi installieren

Oracle Java

Die lässt sich jedoch ganz einfach aus den Paketquellen von WebUpd8 aktualisieren. Wie das funktioniert zeigen wir Euch hier. Und ach ja … wir wissen, dass es schon hunderte Tutorials zu diesem Thema gibt – nur kein aktuelles :)

Alte Java-Versionen entfernen

Zunächst öffnen wir eine Konsole auf unserem Raspberry Pi. Dort können wir mit dem Befehl java -version die aktuell installierte Version von Java anzeigen lassen.
Die installierte Version entfernen wir mit folgenden Befehl:

Code
  1. # Java deinstallieren
  2. sudo apt-get purge oracle-java8-jdk

WebUpd8 Quelle hinzufügen und Java installieren

Um nun die aktuellste Version zu installieren, geben wir folgendes ein:

Der Installer mag zwar ursprünglich für Ubuntu 16.04 (Xenial) geschrieben sein – er lädt jedoch die der Architektur entsprechende Version von Oracle Java (ARM32) direkt vom offiziellen Server.

Mit eingeben von java -version erhalten wir nun die installierte Version – fertig!





    Über den Autor

    Gründer und Autor von worldoftech.de

    Seit 25 Jahren im Bereich IT unterwegs, leidenschaftlicher Computerspieler, Technik-Freak und begeistert von allem was einen Motor (Auto/Motorrad/Flugzeug) hat.


    Nutzt Zuhause openHAB2 zusammen mit HomeMatic Komponenten sowie netatmo als Wetterstation. InfluxDB und Grafana zur Auswertung. Weitere Gadgets von Xiaomi, Sonos und Samsung

    Patrick Team

    Kommentare 2

    • Hallo,
      ich bin verzweifelt bei Versuch die aktuelle java8 -version zu installieren
      Beim Befehl
      "sudo apt-get update && sudo apt-get install oracle-java8-jdk"


      kommt dann irgendwann
      "... erbindungsaufbau zu download.oracle.com (download.oracle.com)|104.90.164.94|:80 … verbunden.
      HTTP-Anforderung gesendet, auf Antwort wird gewartet … 404 Not Found
      2018-01-19 14:28:32 FEHLER 404: Not Found.


      download failed
      Oracle JDK 8 is NOT installed.
      dpkg: Fehler beim Bearbeiten des Paketes oracle-java8-installer (--configure):
      Unterprozess installiertes post-installation-Skript gab den Fehlerwert 1 zurück
      Fehler traten auf beim Bearbeiten von:
      oracle-java8-installer
      E: Sub-process /usr/bin/dpkg returned an error code (1) "


      Was mache ich falsch?
      Gruß Heiko

    • […] Hier mussten wir die aktuellste Revision von Oracle Java 8 installieren. Dazu gibt es hier eine Installationsguide zu Java 8. Ansonsten schaut in den Logfiles unter /var/log/openhab2/events.log nach, ob dort Fehler im […]